/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workieavetemplate.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 离职模板Entity
 * @author chenyuping
 * @version 2018-08-06
 */
public class WorkIeaveTemplateUser extends DataEntity<WorkIeaveTemplateUser> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String officeName;		// 所属部门
	private String companyId;		// 所属公司
	private String auditor;		// 审核人
	private String userName;		// 审核人
	private String branchOffice;		// 所属分公司
	private String templateId;		// 模板主键
	private String comment;
	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}
	public WorkIeaveTemplateUser() {
		super();
	}

	public WorkIeaveTemplateUser(String id){
		super(id);
	}

	@ExcelField(title="所属部门", align=2, sort=7)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="所属公司", align=2, sort=8)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="审核人", align=2, sort=9)
	public String getAuditor() {
		return auditor;
	}

	public void setAuditor(String auditor) {
		this.auditor = auditor;
	}
	
	@ExcelField(title="所属分公司", align=2, sort=10)
	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}
	
	@ExcelField(title="模板主键", align=2, sort=11)
	public String getTemplateId() {
		return templateId;
	}

	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}
	
}